---
hide:
  - navigation
---

# Known test suite parameters

The following table lists known suite identifiers and input parameters which can be used with cite-runner.
Consult each suite's documentation page for more information. Also, feel free to [open an issue] for filling in
missing information or suggesting the addition of new suites.

The official [OGC TEAM Engine documentation] also provides a list of test suites.

<table>
<thead>
<tr>
<th>test suite identifier</th>
<th>description</th>
<th>arguments</th>
</tr>
</thead>
<tbody>
<tr>
<td>cat30</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/cat30/3.0.0/site/" target="blank_">OGC Catalogue 3.0 Conformance Test Suite</a></td>
<td>
<ul>
<li>iut</li>
</ul>
</td>
</tr>
<tr>
<td>cdb10</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/cdb10/1.0/site/" target="blank_">OGC CDB 1.0 Executable Conformance Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>eo-geojson10</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/eo-geojson10/1.0/site/" target="blank_">EO GeoJSON 1.0 Conformance Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>geopose10</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/geopose10/1.0/site/" target="blank_">GeoPose 1.0 Conformance Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>georss10</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/georss10/1.0/site/" target="blank_">GeoRSS 1.0 Conformance Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>geotiff11</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/geotiff11/1.1/site/" target="blank_">GeoTIFF 1.1 Conformance Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>gml32</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/gml32/3.2/site" target="blank_">GML 3.2 (ISO 19136:2007) Conformance Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>gmljpx20</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/gmljpx20/2.0/site" target="blank_">GML in JPEG 2000 Conformance Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>gpkg10</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/gpkg10/1.0/site" target="blank_">GeoPackage 1.0 Conformance Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>gpkg12</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/gpkg12/1.2/site" target="blank_">GeoPackage 1.2 Conformance Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>kml22</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/kml22/2.2/site" target="blank_">KML 2.2 Conformance Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>ogcapi-edr10</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/ogcapi-edr10/1.0/site/" target="blank_">OGC API - Environmental Data Retrieval 1.0 Conformance Test Suite</a></td>
<td>
      <ul>
        <li>iut</li>
        <li>apiDefinition</li>
      </ul>
</td>
</tr>
<tr>
<td>ogcapi-features-1.0</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/ogcapi-features-1.0/1.0/site/" target="blank_">OGC API-Features 1.0 Conformance Test Suite</a></td>
<td>
      <ul>
        <li>iut</li>
        <li>noofcollections</li>
      </ul>
</td>
</tr>
<tr>
<td>ogcapi-processes-1.0</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/ogcapi-processes-1.0/1.0/site/" target="blank_">OGC API-Processes 1.0 Conformance Test Suite</a></td>
<td>
      <ul>
        <li>iut</li>
        <li>noofcollections</li>
      </ul>
</td>
</tr>
<tr>
<td>ogcapi-tiles-1.0</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/ogcapi-tiles-1.0/1.0/site/" target="blank_">OGC API-tiles 1.0 Conformance Test Suite</a></td>
<td>
      <ul>
        <li>iut</li>
        <li>tilematrixsetdefnitionuri</li>
        <li>urltemplatefortiles</li>
        <li>tilematrix</li>
        <li>mintilerow</li>
        <li>maxtilerow</li>
        <li>mintilecol</li>
        <li>maxtilecol</li>
      </ul>
</td>
</tr>
<tr>
<td>omxml20</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/omxml20/2.0/site" target="blank_">Observations and Measurements - XML Implementation (OMXML)</a></td>
<td></td>
</tr>
<tr>
<td>sensorml20</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/sensorml20/2.0/site" target="blank_">Sensor Model Language (SensorML)</a></td>
<td></td>
</tr>
<tr>
<td>sos20</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/sos20/2.0.0/site" target="blank_">OGC Sensor Observation Service 2.0.0 - Executable Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>sta10</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/sta10/1.0/site/" target="blank_">SensorThings API (STA)<a></td>
<td></td>
</tr>
<tr>
<td>swecommon20</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/swecommon20/2.0/site" target="blank_">Sensor Web Enablement (SWE) Common Data Model Encoding Standard</a></td>
<td></td>
</tr>
<tr>
<td>wcs</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/wcs/2.0.1/site" target="blank_">OGC Web Coverage Service 2.0.1 - Executable Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>wcs11</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/wcs11/1.1.1/site" target="blank_">OGC Web Coverage Service 1.1.1 - Executable Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>wfs</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/wfs/1.1.0/site" target="blank_">Web Feature Service 1.1.0</a></td>
<td></td>
</tr>
<tr>
<td>wfs10</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/wfs10/1.0.0/site" target="blank_">Conformance Test Suite - OGC Web Feature Service 1.0.0</a></td>
<td></td>
</tr>
<tr>
<td>wfs20</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/wfs/2.0.0/site" target="blank_">WFS 2.0 (ISO 19142:2010) Conformance Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>wms11</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/wms11/1.1.1/site" target="blank_">Conformance Test Suite - OGC Web Map Service 1.1</a></td>
<td></td>
</tr>
<tr>
<td>wms13</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/wms13/1.3.0/site" target="blank_">Conformance Test Suite - OGC Web Map Service 1.3.0</a></td>
<td></td>
</tr>
<tr>
<td>wmts</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/wmts/1.0.0/site" target="blank_">OGC Web Map Tile Service 1.0.0 - Executable Test Suite</a></td>
<td></td>
</tr>
<tr>
<td>wps20</td>
<td><a href="https://cite.opengeospatial.org/teamengine/about/wps20/2.0/site" target="blank_">WPS 2.0 Conformance Test Suite</a></td>
<td></td>
</tr>
</tbody>
</table>

[OGC TEAM Engine documentation]: https://cite.opengeospatial.org/teamengine/
[open an issue]: https://github.com/OSGeo/cite-runner/issues
